org.eclipse.aether

## Class ConfigurationProperties

- java.lang.Object
- - org.eclipse.aether.ConfigurationProperties

-     public final class ConfigurationProperties
      extends Object

  The keys and defaults for common configuration properties.
  See Also:
    `RepositorySystemSession.getConfigProperties()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECT_TIMEOUT` The maximum amount of time (in milliseconds) to wait for a successful connection to a remote server.
    `static int` | `DEFAULT_CONNECT_TIMEOUT` The default connect timeout to use if `CONNECT_TIMEOUT` isn't set.
    `static String` | `DEFAULT_HTTP_CREDENTIAL_ENCODING` The default encoding/charset to use if `HTTP_CREDENTIAL_ENCODING` isn't set.
    `static boolean` | `DEFAULT_IMPLICIT_PRIORITIES` The default extension priority mode if `IMPLICIT_PRIORITIES` isn't set.
    `static boolean` | `DEFAULT_INTERACTIVE` The default interactive mode if `INTERACTIVE` isn't set.
    `static boolean` | `DEFAULT_PERSISTED_CHECKSUMS` The default checksum persistence mode if `PERSISTED_CHECKSUMS` isn't set.
    `static int` | `DEFAULT_REQUEST_TIMEOUT` The default request timeout to use if `REQUEST_TIMEOUT` isn't set.
    `static String` | `DEFAULT_USER_AGENT` The default user agent to use if `USER_AGENT` isn't set.
    `static String` | `HTTP_CREDENTIAL_ENCODING` The encoding/charset to use when exchanging credentials with HTTP servers.
    `static String` | `HTTP_HEADERS` The request headers to use for HTTP-based repository connectors.
    `static String` | `IMPLICIT_PRIORITIES` A flag indicating whether the priorities of pluggable extensions are implicitly given by their iteration order such that the first extension has the highest priority.
    `static String` | `INTERACTIVE` A flag indicating whether interaction with the user is allowed.
    `static String` | `PERSISTED_CHECKSUMS` A flag indicating whether checksums which are retrieved during checksum validation should be persisted in the local filesystem next to the file they provide the checksum for.
    `static String` | `PREFIX_PRIORITY` The prefix for properties that control the priority of pluggable extensions like transporters.
    `static String` | `REQUEST_TIMEOUT` The maximum amount of time (in milliseconds) to wait for remaining data to arrive from a remote server.
    `static String` | `USER_AGENT` The user agent that repository connectors should report to servers.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX_PRIORITY

          public static final String PREFIX_PRIORITY

      The prefix for properties that control the priority of pluggable extensions like transporters. For example, for an extension with the fully qualified class name "org.eclipse.MyExtensionFactory", the configuration properties "aether.priority.org.eclipse.MyExtensionFactory", "aether.priority.MyExtensionFactory" and "aether.priority.MyExtension" will be consulted for the priority, in that order (obviously, the last key is only tried if the class name ends with "Factory"). The corresponding value is a float and the special value `Float.NaN` or "NaN" (case-sensitive) can be used to disable the extension.
      See Also:
        Constant Field Values

    - #### IMPLICIT_PRIORITIES

          public static final String IMPLICIT_PRIORITIES

      A flag indicating whether the priorities of pluggable extensions are implicitly given by their iteration order such that the first extension has the highest priority. If set, an extension's built-in priority as well as any corresponding `aether.priority.*` configuration properties are ignored when searching for a suitable implementation among the available extensions. This priority mode is meant for cases where the application will present/inject extensions in the desired search order.
      See Also:
        `DEFAULT_IMPLICIT_PRIORITIES`, Constant Field Values

    - #### DEFAULT_IMPLICIT_PRIORITIES

          public static final boolean DEFAULT_IMPLICIT_PRIORITIES

      The default extension priority mode if `IMPLICIT_PRIORITIES` isn't set.
      See Also:
        Constant Field Values

    - #### INTERACTIVE

          public static final String INTERACTIVE

      A flag indicating whether interaction with the user is allowed.
      See Also:
        `DEFAULT_INTERACTIVE`, Constant Field Values

    - #### DEFAULT_INTERACTIVE

          public static final boolean DEFAULT_INTERACTIVE

      The default interactive mode if `INTERACTIVE` isn't set.
      See Also:
        Constant Field Values

    - #### USER_AGENT

          public static final String USER_AGENT

      The user agent that repository connectors should report to servers.
      See Also:
        `DEFAULT_USER_AGENT`, Constant Field Values

    - #### DEFAULT_USER_AGENT

          public static final String DEFAULT_USER_AGENT

      The default user agent to use if `USER_AGENT` isn't set.
      See Also:
        Constant Field Values

    - #### CONNECT_TIMEOUT

          public static final String CONNECT_TIMEOUT

      The maximum amount of time (in milliseconds) to wait for a successful connection to a remote server. Non-positive values indicate no timeout.
      See Also:
        `DEFAULT_CONNECT_TIMEOUT`, Constant Field Values

    - #### DEFAULT_CONNECT_TIMEOUT

          public static final int DEFAULT_CONNECT_TIMEOUT

      The default connect timeout to use if `CONNECT_TIMEOUT` isn't set.
      See Also:
        Constant Field Values

    - #### REQUEST_TIMEOUT

          public static final String REQUEST_TIMEOUT

      The maximum amount of time (in milliseconds) to wait for remaining data to arrive from a remote server. Note that this timeout does not restrict the overall duration of a request, it only restricts the duration of inactivity between consecutive data packets. Non-positive values indicate no timeout.
      See Also:
        `DEFAULT_REQUEST_TIMEOUT`, Constant Field Values

    - #### DEFAULT_REQUEST_TIMEOUT

          public static final int DEFAULT_REQUEST_TIMEOUT

      The default request timeout to use if `REQUEST_TIMEOUT` isn't set.
      See Also:
        Constant Field Values

    - #### HTTP_HEADERS

          public static final String HTTP_HEADERS

      The request headers to use for HTTP-based repository connectors. The headers are specified using a `Map<String, String>`, mapping a header name to its value. Besides this general key, clients may also specify headers for a specific remote repository by appending the suffix `.<repoId>` to this key when storing the headers map. The repository-specific headers map is supposed to be complete, i.e. is not merged with the general headers map.
      See Also:
        Constant Field Values

    - #### HTTP_CREDENTIAL_ENCODING

          public static final String HTTP_CREDENTIAL_ENCODING

      The encoding/charset to use when exchanging credentials with HTTP servers. Besides this general key, clients may also specify the encoding for a specific remote repository by appending the suffix `.<repoId>` to this key when storing the charset name.
      See Also:
        `DEFAULT_HTTP_CREDENTIAL_ENCODING`, Constant Field Values

    - #### DEFAULT_HTTP_CREDENTIAL_ENCODING

          public static final String DEFAULT_HTTP_CREDENTIAL_ENCODING

      The default encoding/charset to use if `HTTP_CREDENTIAL_ENCODING` isn't set.
      See Also:
        Constant Field Values

    - #### PERSISTED_CHECKSUMS

          public static final String PERSISTED_CHECKSUMS

      A flag indicating whether checksums which are retrieved during checksum validation should be persisted in the local filesystem next to the file they provide the checksum for.
      See Also:
        `DEFAULT_PERSISTED_CHECKSUMS`, Constant Field Values

    - #### DEFAULT_PERSISTED_CHECKSUMS

          public static final boolean DEFAULT_PERSISTED_CHECKSUMS

      The default checksum persistence mode if `PERSISTED_CHECKSUMS` isn't set.
      See Also:
        Constant Field Values

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.